Author Topic: [Bug] Error Message after Login  (Read 343 times)

Markus Bäurle

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
[Bug] Error Message after Login
« on: May 07, 2021, 11:33:46 AM »
After updating Autobar to the latest Version i get  this Error Message in Chat after Login:

Code: [Select]
AutoBar could not find the PT3.1 p_set  Muffin.Herbs.Millable   Make sure you have all the libraries AutoBar needs to function.
AutoBar could not find the PT3.1 p_set  Muffin.Skill.Fishing.Bait   Make sure you have all the libraries AutoBar needs to function.
AutoBar could not find the PT3.1 p_set  Muffin.Skill.Fishing.Pole   Make sure you have all the libraries AutoBar needs to function.

I'm sure AutoBar is installed correctly, i reinstalled it multiple times (Using the Curseforge client, even by hand) also the "MuffinLibPTSets" folder is present.

bsmorgan

  • Newbie
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
Re: [Bug] Error Message after Login
« Reply #1 on: May 07, 2021, 01:43:22 PM »
I have this same issue. I have cloned the libpt-muffinsets repository but I can't find any installation instructions.

The repository contains LibPeriodicTable-3.1.lua but it is not referenced in MuffinLibPTSets.toc or in modules.xml

I know CurseForge / OverWolf completely hosed a lot of addon authors and I've moved my repositories to GitHub, my packager to BigWigsPackager, and my addon distribution to WoWInterface.

AutoBar is one of my favorite addons. It would be fantastic if there was a supported version for Classic, Burning Crusade Classic, and Shadowlands (and beyond). If you need help with package verification or debugging, let me know.


MuffinManKen

  • Administrator
  • Sr. Member
  • *****
  • Posts: 419
  • Karma: +12/-0
    • View Profile
Re: [Bug] Error Message after Login
« Reply #2 on: May 09, 2021, 05:01:13 AM »
After updating Autobar to the latest Version i get  this Error Message in Chat after Login:

Code: [Select]
AutoBar could not find the PT3.1 p_set  Muffin.Herbs.Millable   Make sure you have all the libraries AutoBar needs to function.
AutoBar could not find the PT3.1 p_set  Muffin.Skill.Fishing.Bait   Make sure you have all the libraries AutoBar needs to function.
AutoBar could not find the PT3.1 p_set  Muffin.Skill.Fishing.Pole   Make sure you have all the libraries AutoBar needs to function.

I'm sure AutoBar is installed correctly, i reinstalled it multiple times (Using the Curseforge client, even by hand) also the "MuffinLibPTSets" folder is present.

These warning are harmless and will be fixed in an upcoming release.

MuffinManKen

  • Administrator
  • Sr. Member
  • *****
  • Posts: 419
  • Karma: +12/-0
    • View Profile
Re: [Bug] Error Message after Login
« Reply #3 on: May 09, 2021, 05:03:16 AM »
I have this same issue. I have cloned the libpt-muffinsets repository but I can't find any installation instructions.

The repository contains LibPeriodicTable-3.1.lua but it is not referenced in MuffinLibPTSets.toc or in modules.xml

I know CurseForge / OverWolf completely hosed a lot of addon authors and I've moved my repositories to GitHub, my packager to BigWigsPackager, and my addon distribution to WoWInterface.

AutoBar is one of my favorite addons. It would be fantastic if there was a supported version for Classic, Burning Crusade Classic, and Shadowlands (and beyond). If you need help with package verification or debugging, let me know.

I do intend to keep supporting all of my addons.  I didn't get beta access to Burning Crusade Classic, so there will not be a version at release.  I would expect the code to largely work, but the underlying data will have a lot missing.

Markus Bäurle

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: [Bug] Error Message after Login
« Reply #4 on: May 09, 2021, 12:50:18 PM »
I have this same issue. I have cloned the libpt-muffinsets repository but I can't find any installation instructions.

The repository contains LibPeriodicTable-3.1.lua but it is not referenced in MuffinLibPTSets.toc or in modules.xml

I know CurseForge / OverWolf completely hosed a lot of addon authors and I've moved my repositories to GitHub, my packager to BigWigsPackager, and my addon distribution to WoWInterface.

AutoBar is one of my favorite addons. It would be fantastic if there was a supported version for Classic, Burning Crusade Classic, and Shadowlands (and beyond). If you need help with package verification or debugging, let me know.

I do intend to keep supporting all of my addons.  I didn't get beta access to Burning Crusade Classic, so there will not be a version at release.  I would expect the code to largely work, but the underlying data will have a lot missing.

Pre Patch is live on PTR Classic :)